
###############################################################################
##$Date: 2010/01/11 11:16:39 $
##$RCSfile: example_wave_do.ejava,v $
##$Revision: 1.1 $
###############################################################################
## example_wave.do
###############################################################################
onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {MGT0 Ports}
add wave -noupdate -divider {8B10B Receive Data Path and Control Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXCHARISCOMMA_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXCHARISK_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXDATA_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXDISPERR_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXNOTINTABLE_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXRUNDISP_OUT
add wave -noupdate -divider {8B10B Transmit Data Path and Control Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXBYPASS8B10B_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXCHARDISPMODE_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXCHARDISPVAL_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXCHARISK_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXDATA_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXKERR_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_TXRUNDISP_OUT
add wave -noupdate -divider {Calibration Block Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_ACTIVE_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DISABLE_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DRP_RESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RX_SIGNAL_DETECT_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TX_SIGNAL_DETECT_IN
add wave -noupdate -divider {Calibration Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXCLKSTABLE_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXCLKSTABLE_IN
add wave -noupdate -divider {Dynamic Reconfiguration Port (DRP)}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_DADDR_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DCLK_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DEN_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_DI_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_DO_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DRDY_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_DWE_IN
add wave -noupdate -divider {Global Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_LOOPBACK_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_POWERDOWN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXINHIBIT_IN
add wave -noupdate -divider {Out of Band Signalling Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXSIGDET_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXENOOB_IN
add wave -noupdate -divider {PLL Lock}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXLOCK_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXLOCK_OUT
add wave -noupdate -divider {Polarity Control Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXPOLARITY_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXPOLARITY_IN
add wave -noupdate -divider {Ports for Simulation}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_COMBUSIN_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_COMBUSOUT_OUT
add wave -noupdate -divider {Reference Clocks}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_REFCLK1_IN
add wave -noupdate -divider {Resets}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXPMARESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXRESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXPMARESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXRESET_IN
add wave -noupdate -divider {Serdes Alignment}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_ENMCOMMAALIGN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_ENPCOMMAALIGN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXCOMMADET_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXREALIGN_OUT
add wave -noupdate -divider {Serial Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RX1N_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RX1P_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TX1N_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TX1P_OUT
add wave -noupdate -divider {Status}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT0_RXSTATUS_OUT
add wave -noupdate -divider {Synchronization}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXSYNC_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXSYNC_IN
add wave -noupdate -divider {User Clocks}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXRECCLK1_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXRECCLK2_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_RXUSRCLK2_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXOUTCLK1_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXOUTCLK2_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT0_TXUSRCLK2_IN
add wave -noupdate -divider {MGT1 Ports}
add wave -noupdate -divider {8B10B Receive Data Path and Control Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXCHARISCOMMA_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXCHARISK_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXDATA_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXDISPERR_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXNOTINTABLE_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXRUNDISP_OUT
add wave -noupdate -divider {8B10B Transmit Data Path and Control Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXBYPASS8B10B_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXCHARDISPMODE_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXCHARDISPVAL_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXCHARISK_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXDATA_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXKERR_OUT
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_TXRUNDISP_OUT
add wave -noupdate -divider {Calibration Block Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_ACTIVE_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DISABLE_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DRP_RESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RX_SIGNAL_DETECT_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TX_SIGNAL_DETECT_IN
add wave -noupdate -divider {Calibration Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXCLKSTABLE_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXCLKSTABLE_IN
add wave -noupdate -divider {Dynamic Reconfiguration Port (DRP)}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_DADDR_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DCLK_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DEN_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_DI_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_DO_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DRDY_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_DWE_IN
add wave -noupdate -divider {Global Ports}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_LOOPBACK_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_POWERDOWN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXINHIBIT_IN
add wave -noupdate -divider {Out of Band Signalling Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXSIGDET_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXENOOB_IN
add wave -noupdate -divider {PLL Lock}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXLOCK_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXLOCK_OUT
add wave -noupdate -divider {Polarity Control Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXPOLARITY_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXPOLARITY_IN
add wave -noupdate -divider {Ports for Simulation}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_COMBUSIN_IN
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_COMBUSOUT_OUT
add wave -noupdate -divider {Reference Clocks}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_REFCLK1_IN
add wave -noupdate -divider {Resets}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXPMARESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXRESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXPMARESET_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXRESET_IN
add wave -noupdate -divider {Serdes Alignment}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_ENMCOMMAALIGN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_ENPCOMMAALIGN_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXCOMMADET_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXREALIGN_OUT
add wave -noupdate -divider {Serial Ports}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RX1N_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RX1P_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TX1N_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TX1P_OUT
add wave -noupdate -divider {Status}
add wave -noupdate -format Literal example_mgt_top_i/rocketio_i/MGT1_RXSTATUS_OUT
add wave -noupdate -divider {Synchronization}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXSYNC_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXSYNC_IN
add wave -noupdate -divider {User Clocks}
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXRECCLK1_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXRECCLK2_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_RXUSRCLK2_IN
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXOUTCLK1_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXOUTCLK2_OUT
add wave -noupdate -format Logic example_mgt_top_i/rocketio_i/MGT1_TXUSRCLK2_IN
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {0 ps} 0}
configure wave -namecolwidth 282
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {0 ps} {5236 ps}


